def ac_url(url_name, url_params, context):
    if account := context.get("account"):
        url_name = "account_" + url_name
        url_params |= {"account": account.pk}
    elif category := context.get("category"):
        url_name = "category_" + url_name
        url_params |= {"category": category.pk}

    return url_name, url_params
